Package Details: intellij-idea-ue-eap 2021.1.211.6222.4-1

Git Clone URL: https://aur.archlinux.org/intellij-idea-ue-eap.git (read-only, click to copy)
Package Base: intellij-idea-ue-eap
Description: Early access version of the upcoming version of Intellij Idea IDE (ultimate version)
Upstream URL: http://www.jetbrains.com/idea/nextversion
Keywords: IDE java JetBrains
Licenses: custom
Submitter: Kendos_Kenlen
Maintainer: artafinde
Last Packager: artafinde
Votes: 31
Popularity: 0.000484
First Submitted: 2014-09-06 20:06
Last Updated: 2021-02-27 10:46

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

itti commented on 2016-04-04 07:57

Once again built the updated package with an unchanged PKGBUILD. Still the bundled JRE seems to be missing:

[itti@edi ~]$ pacman -Ql intellij-idea-ue-eap | grep jre
[itti@edi ~]$

artafinde commented on 2016-03-30 12:44

@itti: Normally one would change only the "_use_no_jdk_archive" variable to indicate that {s}he doesn't want to use the bundled JRE. If you want to keep the bundled JRE don't modify the PKGBUILD. The other variable is for me to save me from changing too many things between releases as Jetbrains seems to have two patterns in their releases (one which provide a no-jdk archive and one without).

itti commented on 2016-03-29 08:43

What is the purpose of having two variables (_user_no_jdk_archive, _nojdkrelease) to track whether the user wants the bundled JRE or not? At least for me the latest PKGBUILD didn't handle those correctly. I wasn't able to prevent makepkg from deleting the jre subfolder in the end. Wouldn't it be easier to just decide on what archive to download and package that? Why would i download the jre just to have it deleted anyway?

Magotchi commented on 2016-03-26 16:37

That 145.596.7 PKGBUILD works great. Thanks.

artafinde commented on 2016-03-26 02:27

Can someone check the PKGBUILD here [1]. I have very limited data and the ~500 Mb is going to kill my mobile plan (still in vacations). (JetBrains can't stick to a pattern for releases - they keep changing their archive names).

[1] https://ptpb.pw/lGNC

itti commented on 2016-03-21 09:08

Tested the latest package: no problems so far, seems to be working fine.

artafinde commented on 2016-03-19 16:08

I've updated the package (found my ssh key in a vm), please test as I couldn't test it properly.

artafinde commented on 2016-03-18 14:13

@itti: yes there's a switch for removing the bundled JDK. I believe the last release was a bit hasty, as it seems they changed a bit their released packages. Now the current one seems OK.

itti commented on 2016-03-18 08:38

Huh, what happened? Suddenly IDEA seems to be using the system JDK again which makes it ugly again. Is this a change from upstream or do we actively remove the patched jetbrains jdk now?

-edit: Ah I see. You provide a switch for that in the PKGBUILD now.

artafinde commented on 2016-03-18 05:53

I'm currently without access to my SSH key to update the package. I'll be back first week of April. Apologies for the inconvenience.